<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>flexbox combinations</title>
    <link rel="stylesheet" href="flexStyle.css">
</head>

<body>
    <section class="rowCombinations">
        <h2>Flex-direction: Row</h2>
        <h4>start,start</h4>
        <div class="rowCombo justify-start align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>start,center</h4>
        <div class="rowCombo justify-start align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>start,end</h4>
        <div class="rowCombo justify-start align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>start,around</h4>
        <div class="rowCombo justify-start align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>start,evenly</h4>
        <div class="rowCombo justify-start align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>start,between</h4>
        <div class="rowCombo justify-start align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>center,start</h4>
        <div class="rowCombo justify-start align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>center,center</h4>
        <div class="rowCombo justify-start align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>center,end</h4>
        <div class="rowCombo justify-start align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>center,around</h4>
        <div class="rowCombo justify-center align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>center,evenly</h4>
        <div class="rowCombo justify-center align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>center,between</h4>
        <div class="rowCombo justify-center align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>end,start</h4>
        <div class="rowCombo justify-end align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>end,center</h4>
        <div class="rowCombo justify-end align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>end,end</h4>
        <div class="rowCombo justify-end align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>end,around</h4>
        <div class="rowCombo justify-center align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>end,evenly</h4>
        <div class="rowCombo justify-end align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>end,between</h4>
        <div class="rowCombo justify-end align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>around,start</h4>
        <div class="rowCombo justify-around align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>around,center</h4>
        <div class="rowCombo justify-around align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>around,end</h4>
        <div class="rowCombo justify-around align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>around,around</h4>
        <div class="rowCombo justify-around align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>around,evenly</h4>
        <div class="rowCombo justify-around align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>around,between</h4>
        <div class="rowCombo justify-around align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>evenly,start</h4>
        <div class="rowCombo justify-evenly align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>evenly,center</h4>
        <div class="rowCombo justify-evenly align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>evenly,end</h4>
        <div class="rowCombo justify-evenly align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>evenly,around</h4>
        <div class="rowCombo justify-evenly align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>evenly,evenly</h4>
        <div class="rowCombo justify-evenly align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>evenly,between</h4>
        <div class="rowCombo justify-evenly align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>between,start</h4>
        <div class="rowCombo justify-between align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>between,center</h4>
        <div class="rowCombo justify-between align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>between,end</h4>
        <div class="rowCombo justify-between align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>between,around</h4>
        <div class="rowCombo justify-between align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>between,evenly</h4>
        <div class="rowCombo justify-between align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>

        <h4>between,between </h4>
        <div class="rowCombo justify-between align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    </section>

    <section class="columnCombinations">
        <h2>Flex-direction: Column</h2>
        <h4>start,start</h4>
        <div class="columnCombo justify-start align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>start,center</h4>
        <div class="columnCombo justify-start align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>start,end</h4>
        <div class="columnCombo justify-start align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>start,around</h4>
        <div class="columnCombo justify-start align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>start,evenly</h4>
        <div class="columnCombo justify-start align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>start,between</h4>
        <div class="columnCombo justify-start align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>center,start</h4>
        <div class="columnCombo justify-start align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>center,center</h4>
        <div class="columnCombo justify-start align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>center,end</h4>
        <div class="columnCombo justify-start align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>center,around</h4>
        <div class="columnCombo justify-center align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>center,evenly</h4>
        <div class="columnCombo justify-center align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>center,between</h4>
        <div class="columnCombo justify-center align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>end,start</h4>
        <div class="columnCombo justify-end align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>end,center</h4>
        <div class="columnCombo justify-end align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>end,end</h4>
        <div class="columnCombo justify-end align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>end,around</h4>
        <div class="columnCombo justify-center align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>end,evenly</h4>
        <div class="columnCombo justify-end align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>end,between</h4>
        <div class="columnCombo justify-end align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>around,start</h4>
        <div class="columnCombo justify-around align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>around,center</h4>
        <div class="columnCombo justify-around align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>around,end</h4>
        <div class="columnCombo justify-around align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>around,around</h4>
        <div class="columnCombo justify-around align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>around,evenly</h4>
        <div class="columnCombo justify-around align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>around,between</h4>
        <div class="columnCombo justify-around align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>evenly,start</h4>
        <div class="columnCombo justify-evenly align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>evenly,center</h4>
        <div class="columnCombo justify-evenly align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>evenly,end</h4>
        <div class="columnCombo justify-evenly align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>evenly,around</h4>
        <div class="columnCombo justify-evenly align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>evenly,evenly</h4>
        <div class="columnCombo justify-evenly align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>evenly,between</h4>
        <div class="columnCombo justify-evenly align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>between,start</h4>
        <div class="columnCombo justify-between align-start">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
   

        <h4>between,center</h4>
        <div class="columnCombo justify-between align-center">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>between,end</h4>
        <div class="columnCombo justify-between align-end">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>between,around</h4>
        <div class="columnCombo justify-between align-around">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>between,evenly</h4>
        <div class="columnCombo justify-between align-evenly">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    
        <h4>between,between </h4>
        <div class="columnCombo justify-between align-between">
            <div class="content"><span>1</span></div>
            <div class="content"><span>2</span></div>
            <div class="content"><span>3</span></div>
            <div class="content"><span>4</span></div>
            <div class="content"><span>5</span></div>
        </div>
    </section>
</body>

</html>